Bug 10915 - mdadm should be in /sbin instead of /usr/sbin
: mdadm should be in /sbin instead of /usr/sbin
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mdadm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-23 19:59 by
Modified: 2007-03-06 00:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-23 19:59:30
mdadm - достаточно существенная для функционирования системы утилита, чтобы
находиться в /sbin, а не в /usr/sbin. Наличие /sbin/mdassemble даже после
исправления Bug #10357 не является поводом оставлять mdadm в /usr/sbin,
поскольку mdassemble не позволяет ничего сделать в случае возникновения
каких-либо проблем с запуском RAID.

При поиске на http://packages.debian.org и http://rpm.pbone.net с первого
взгляда не удалось обнаружить ни одного пакета mdadm, кроме сборки для ALT
Linux, где утилита mdadm находилась бы не в /sbin.
------- Comment #1 From 2007-03-03 20:27:47 -------
Fixed in 2.6.1-alt2
------- Comment #2 From 2007-03-04 22:01:29 -------
mdadm-syslog-events, возможно, зря уехал в /sbin - там всё равно используется
/usr/bin/logger.
------- Comment #3 From 2007-03-06 00:31:12 -------
Если не перемещать mdadm-syslog-events из /usr/sbin в /sbin,
то неизвестно, как поведёт себя mdadm, если /usr живёт на отдельном разделе.
Например, ругнётся и не запустится, и опять у некоторых всё встанет раком.
А так он запустится нормально, на ругань своего логгера он вряд ли
отреагирует фатально (по крайней мере, я на это сильно надеюсь;-).
Останется дождаться, когда станет доступен /usr,
после чего логи пойдут обычным порядком.
На всякий случай в следующей сборке подправлю mdadm-syslog-events,
чтобы он проверял, доступен ли /usr/bin/logger.